<?php
   $target='nombre';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Usuarios/usuarios.php"); 
   
   $nombrepagina = "CREACION DE USUARIOS";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	 class llamado{
	 	var $menuObj;
	    function validar1($id_user,$id_sucursal){
	 		$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
	  	}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Usuario ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td2>
Nombre:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="50">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Direccion:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="dir" class="inputbox" size="50">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="42" class=miTable_td>
Telefono:</td>
<td width="150" valign=top height="42" class="miTable_td">
<input type="text" name="tel" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td2" nowrap>
Nombre de Usuario:</td>
<td width="150" class="miTable_td">
<input type="text" name="txt_usuario" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td2">
Password:</td>
<td width="150" class="miTable_td">
<input type="password" name="txt_pass" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td2">
Confirmar Pasword:</td>
<td width="150" class="miTable_td">
<input type="password" name="txt_pass2" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Sucursal:</td>
<td width="150" class="miTable_td">
<? get_sucursal($_SESSION['perfil'],$_GET['suc']); ?>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Estado:</td>
<td width="150" class="miTable_td">
<select name="estado" class="inputbox">
<option value="1">Activo</option>
<option value="0">Inactivo</option>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Perfil:</td>
<td width="150" class="miTable_td">
<select name="perfil" class="inputbox">
<option value="1">Administrador</option>
<option value="3">Operaciones</option>
</select>
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
	 <?
	 if(!isset($Registrar)){

     }else{
	
		class crearUsuario{
	  		var $crearObj;
	  		var $conexionObj;
	  		var $estado;
	  		function setCrear($nombre,$dir,$tel,$usuario,$pass,$pass2,$sucursal,$estado,$perfil){
	  			$id_user=$_GET['id_user'];
			 	$id_suc=$_GET['suc'];
	  		 	if($nombre=='' || $usuario=='' || $pass=='' || $pass2==''){
			 		$msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	  		    	echo "<script>
					setTimeout(location.href='crear_usuario.php?id_user=$id_user&suc=$id_suc', 100);
	            	alert('$msgBOX2');
	  		  		</script>";
			 	}else{
			 		if($pass!=$pass2){
	  		     		$msgBOX = "Las Contrase�as son Distintas.";
	  		     		echo "<script>
	             		setTimeout(location.href='crear_usuario.php?id_user=$id_user&suc=$id_suc', 100);
	             		alert('$msgBOX');
	  		  	 		</script>";
	  		 		}else{
			 			$this->crearObj=new usuarios();
	  					$this->crearObj->setNombre($nombre);
	  		 			$this->crearObj->setUsuario($usuario);
	  		 			$this->crearObj->setPassword($pass);
			 			$this->crearObj->setDireccion($dir);
			 			$this->crearObj->setTelefono($tel);
			 			$this->crearObj->setSucursal($sucursal);
			 			$this->crearObj->setEstado($estado);
			 			$this->crearObj->setPerfil($perfil);
	  		 		}		
			    }
		    }
			function getCrear(){
		    	return $this->crearObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM usuarios WHERE usuario='".$this->crearObj->getUsuario()."'");
				if(mysql_num_rows($rst_validar)>=1){
					$msgBOX2 = "Usuario Existe en Sistema.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
					$nombre=$this->crearObj->getNombre();
					$nombre=strtoupper($nombre);
					$dir=$this->crearObj->getDireccion();
					$tel=$this->crearObj->getTelefono();
					$usuario=$this->crearObj->getUsuario();
					$pass=$this->crearObj->getPassword();
					$sucursal=$this->crearObj->getSucursal();
					$estado=$this->crearObj->getEstado();
					$perfil=$this->crearObj->getPerfil();
					$this->insertarDatos($nombre,$dir,$tel,$usuario,$pass,$sucursal,$estado,$perfil);
				}
			}
			function insertarDatos($nombre,$dir,$tel,$usuario,$pass,$sucursal,$estado,$perfil){
	 			$rst_insertar=$this->conexionObj->modificar("INSERT INTO usuarios VALUES ('0','".$nombre."','".$dir."','".$tel."','".$usuario."','".$pass."','".$sucursal."','".$estado."','".$perfil."', '0',0,0)");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
			    	if ($perfil==1 or $perfil==2){
						$id_user=escoger_usuario($usuario);
						$asig=escoger_menus();
						asignar_menu_usuario($id_user,$asig,'menu_usuario');
					}
					
					$msgBOX2 = "Usuario Creado Exitosamente.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
			    	$msgBOX2 = "Usuario No Pudo ser Creado.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearUsuarioObj=new crearUsuario();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearUsuarioObj->setCrear($_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['txt_usuario'],$_POST['txt_pass'],$_POST['txt_pass2'],$_POST['sucursal'],$_POST['estado'],$_POST['perfil']);
// LAMANDO EL METODO DE NEGOCIO
$crearUsuarioObj->validar();

echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
              <?
}

 mostrar_pie();
} 	
        pie_de_pagina();
        ?>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
